package ink.wgink.service.group.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: GroupVO
 * @Description: 组视图
 * @Author: WangGeng
 * @Date: 2019/3/4 2:30 PM
 * @Version: 1.0
 **/
@ApiModel
public class GroupVO {

    @ApiModelProperty(name = "groupParentId", value = "组上级ID")
    @CheckEmptyAnnotation(name = "组上级ID")
    private String groupParentId;
    @ApiModelProperty(name = "groupName", value = "组名称")
    @CheckEmptyAnnotation(name = "组名称")
    private String groupName;
    @ApiModelProperty(name = "groupSummary", value = "组说明")
    private String groupSummary;

    public String getGroupParentId() {
        return groupParentId;
    }

    public void setGroupParentId(String groupParentId) {
        this.groupParentId = groupParentId;
    }

    public String getGroupName() {
        return groupName == null ? null : groupName.trim();
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupSummary() {
        return groupSummary == null ? null : groupSummary.trim();
    }

    public void setGroupSummary(String groupSummary) {
        this.groupSummary = groupSummary;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"groupParentId\":")
                .append(groupParentId);
        sb.append(",\"groupName\":")
                .append("\"").append(groupName).append("\"");
        sb.append(",\"groupSummary\":")
                .append("\"").append(groupSummary).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
